aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/gna/testsuite.sh
diff options
context:
space:
mode:
author1138-4EB <1138-4EB@users.noreply.github.com>2017-02-26 22:59:38 +0100
committer1138-4EB <1138-4EB@users.noreply.github.com>2017-03-01 06:57:27 +0100
commit08264571869e92cb7e6dcee5facfedbf0bedce68 (patch)
treeb9e8a587027b2359bbd8c3e59b7d12d4b1098a0d /testsuite/gna/testsuite.sh
parent439664c7e1cc7c9d3587cb72d8f395538aed36bc (diff)
downloadghdl-08264571869e92cb7e6dcee5facfedbf0bedce68.tar.gz
ghdl-08264571869e92cb7e6dcee5facfedbf0bedce68.tar.bz2
ghdl-08264571869e92cb7e6dcee5facfedbf0bedce68.zip
Use single VM in .travis.yml to speed-up launching builds. Container are launched in parallel threads.
The output of each thread is saved to a log. All of them are printed in order, after all the threads have finished. Shared ANSI color codes between libraries/vendors and dist/linux. The common file to be sourced is dist/ansi_color.sh
Diffstat (limited to 'testsuite/gna/testsuite.sh')
-rwxr-xr-xtestsuite/gna/testsuite.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/testsuite/gna/testsuite.sh b/testsuite/gna/testsuite.sh
index 8fcd7059d..7e39e8f04 100755
--- a/testsuite/gna/testsuite.sh
+++ b/testsuite/gna/testsuite.sh
@@ -32,27 +32,27 @@ for opt; do
esac
done
-for i in $dirs; do
- echo "GNA dir $i:"
- cd $i
+singlerun() {
+ echo ""
+ echo "GNA dir $1:"
+ cd $1
if ! ./testsuite.sh; then
echo "#################################################################"
- echo "######### FAILURE: $i"
+ echo "######### FAILURE: $1"
echo "#################################################################"
- if [ $full = "y" ]; then
- failures="$failures $i"
+ if [ $2 = "y" ]; then
+ failures="$failures $1"
else
exit 1;
fi
fi
cd ..
-done
+}
+
+for i in $dirs; do singlerun $i $full; done
if [ x"$failures" = x"" ]; then
- echo "GNA tests are successful"
- exit 0
+ echo "GNA tests are successful" && exit 0
else
- echo "GNA test failed ($failures)"
- exit 1
+ echo "GNA test failed ($failures)" && exit 1
fi
-